
Infrastructure - Bug #4720

Web tester uses a non-public readable object to check "Checksum Size Consistency"

2014-04-14 18:26 - Jing Tao

Status: Closed Start date: 2014-09-25

Priority: Normal Due date: 2014-11-19

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

java.lang.AssertionError: NotAuthorized: 1400:: READ not allowed on TierTesting:mn-demo-11:Authenticated_READ.14 [for host

GET https://mn-demo-11.test.dataone.org/knb/d1/mn/v1/meta/TierTesting:mn-demo-11:Authenticated_READ.14 ]

at org.junit.Assert.fail(Assert.java:91)

at org.dataone.integration.it.ContextAwareTestCaseDataone$4.call(ContextAwareTestCaseDataone.java:1145)

at org.junit.rules.ErrorCollector.checkSucceeds(ErrorCollector.java:70)

at org.dataone.integration.it.ContextAwareTestCaseDataone.handleFail(ContextAwareTestCaseDataone.java:1140)

at org.dataone.integration.it.MNodeTier1IT.testContent_Checksum_Size_Consistency(MNodeTier1IT.java:1597)

at org.dataone.integration.it.MNodeTier1IT.testMetadata_Checksum_Size_Consistency(MNodeTier1IT.java:1529)

History

#1 - 2014-09-25 17:46 - Rob Nahf

- Target version set to Maintenance Backlog

- Due date set to 2014-09-25

- Start date set to 2014-09-25

#2 - 2014-11-19 18:35 - Rob Nahf

- Category set to d1_integration

- Due date changed from 2014-09-25 to 2014-11-19

#3 - 2016-06-15 19:18 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

integration tests have been refactored and this issue seems to be fixed.

(ContentIntegrityTestImplementations.

ObjectInfo oi = ol.getObjectInfoList().get(0);

SystemMetadata smd = null;

try {

smd = cca.getSystemMetadata(null, oi.getIdentifier());

} catch (NotAuthorized e) {

continue;

}
